Bug 865615 - Review Request: python-gerrit - Python interface to Gerrit
Review Request: python-gerrit - Python interface to Gerrit
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 18:18 EDT by Federico Simoncelli
Modified: 2016-08-30 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2012-10-11 18:18:39 EDT
Spec URL: http://fsimonce.fedorapeople.org/python-gerrit/python-gerrit.spec
SRPM URL: http://fsimonce.fedorapeople.org/python-gerrit/python-gerrit-0.0.1-1.gita7ffd76.fc17.src.rpm
Description: python-gerrit is a Python interface to Gerrit, a code review system for Git.
Fedora Account System Username: fsimonce
Comment 1 Federico Simoncelli 2012-10-12 08:41:39 EDT
Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4584963

No errors/warnings running fedora-review and rpmlint.
Comment 2 Pádraig Brady 2012-10-12 09:08:23 EDT
I see you've used python2_sitelib.
That's a recent addition and not mentioned here at least:
http://fedoraproject.org/wiki/Packaging:Python

Also I notice pyp2rpm still uses python_sitelib.

Maybe it's better to stick with that?
Comment 3 Federico Simoncelli 2012-10-12 09:26:41 EDT
(In reply to comment #2)
> I see you've used python2_sitelib.
> That's a recent addition and not mentioned here at least:
> http://fedoraproject.org/wiki/Packaging:Python
> 
> Also I notice pyp2rpm still uses python_sitelib.
> 
> Maybe it's better to stick with that?

The python2_sitelib macro is already present in f17 (the package was primarily built on f17 and then rebuilt against rawhide on koji as requested somewhere in the packaging guidelines).

I don't have strong opinions about it, except the fact that if we change it now (to python_sitelib) we might need to change it later again.

It's up to you.
Comment 4 Pádraig Brady 2012-10-12 09:35:13 EDT
I'd have a slight preference with sticking with python_sitelib,
until a global python2/3 transition plan is done
Comment 5 Federico Simoncelli 2012-10-12 09:51:19 EDT
Spec URL: http://fsimonce.fedorapeople.org/python-gerrit/python-gerrit.spec
SRPM URL: http://fsimonce.fedorapeople.org/python-gerrit/python-gerrit-0.0.1-2.gita7ffd76.fc17.src.rpm
Description: python-gerrit is a Python interface to Gerrit, a code review system for Git.
Fedora Account System Username: fsimonce
Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4585162

* Fri Oct 12 2012 Federico Simoncelli <fsimonce@redhat.com> - 0.0.1-2.gita7ffd76
- use the python_sitelib macro instead of python2_sitelib
Comment 6 Pádraig Brady 2012-10-12 10:13:15 EDT
All looks good. Thanks!

[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[-]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.
Comment 7 Federico Simoncelli 2012-10-12 10:38:02 EDT
New Package SCM Request
=======================
Package Name: python-gerrit
Short Description: Python interface to Gerrit
Owners: fsimonce
Branches: f17 f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-12 11:34:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.